On Sat, Mar 07, 2020 at 07:32:01AM -0800, Sorawee Porncharoenwase wrote:
> I know nothing about OpenGL, but the autogeneration
> <https://github.com/stephanh42/RacketGL/blob/master/opengl/readspec.rkt>
> seems to read the information from this directory
> <https://github.com/stephanh42/RacketGL/tree/master/opengl/specfiles>,
> which was last updated 7 years ago (2013). OpenGL 4.5 was released in 2014
> <https://www.khronos.org/opengl/wiki/History_of_OpenGL>.
> 
> I’d suggest you to contact the maintainer <https://github.com/stephanh42>
> of the package to update it. Note, though, that the maintainer doesn’t seem
> to be active in GitHub for almost two years now. In case you can't contact
> the maintainer, you might need to fork the package to update it.

I woildn't mind forking it, even just locally, but I haave not been able 
to find current versions of the specfiles it uses.  The README says they 
originated at http://www.opengl.org/registry/ , but I've been unable to 
find them there.  For all I know Khronos might no longer be using that 
form of definition.  Everything serious there appears to be a 
human-readable pdf now.  Or a C .h file.

So far it looks as if I may have to reverse-engineer the specfiles from 
the .h files.

Or maybe I'm just not good at searching.  Google has found me some even 
more obsolete versions.  I guess I'll keep looking.

I suppose I could try patching in the particular function specs I need 
until I manage to get world from the maintainer.

-- hendrik

> 
> On Sat, Mar 7, 2020 at 6:57 AM Hendrik Boom <hend...@topoi.pooq.com> wrote:
> 
> > Is there any technical reason why glCreateVertexArrays is missing from
> > the Racket OpenGL package?
> >
> > The documentation at https://docs.racket-lang.org/opengl/index.html
> > says that "Being automatically-generated means that it is quite complete."
> >
> > So I would have expected it to be present.
> >
> > But it is not present either in the implemetation or in the
> > documentation ( https://docs.racket-lang.org/opengl/glC___.html )
> >
> > I do have openGL 4.5 on my system, so it's not because the opengl
> > library is too old (which did happen on an older computer).
> >
> > Would bringing it up-to-date perhaps interfere with the operation of
> > other packages?
> >
> > -- hendrik
> >
> > --
> > You received this message because you are subscribed to the Google Groups
> > "Racket Users" group.
> > To unsubscribe from this group and stop receiving emails from it, send an
> > email to racket-users+unsubscr...@googlegroups.com.
> > To view this discussion on the web visit
> > https://groups.google.com/d/msgid/racket-users/20200307145657.gq7xgysyvkz5yn7y%40topoi.pooq.com
> > .
> >
> 
> -- 
> You received this message because you are subscribed to the Google Groups 
> "Racket Users" group.
> To unsubscribe from this group and stop receiving emails from it, send an 
> email to racket-users+unsubscr...@googlegroups.com.
> To view this discussion on the web visit 
> https://groups.google.com/d/msgid/racket-users/CADcuegsktFyB2iRV0-nV018mFOeO8Fhqe6mbp_4_ksesXX%3DZtQ%40mail.gmail.com.

-- 
You received this message because you are subscribed to the Google Groups 
"Racket Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to racket-users+unsubscr...@googlegroups.com.
To view this discussion on the web visit 
https://groups.google.com/d/msgid/racket-users/20200308125229.gn37sgshwijpuaqq%40topoi.pooq.com.

Reply via email to